module Bannable
  module Generators
    class MigrationGenerator < Rails::Generators::Base
      desc 'Generates a bannable migration for the specified class'
      argument :classes, type: :array, default: [], banner: 'User'
      def exec
        classes.each do |c|
          table_name = c.constantize.table_name
          generate('migration', "AddBannedTo#{table_name.camelize} banned:boolean")
        end
      end
    end
  end
end
